@ECHO OFF
REM -----------------------------------------------------
REM  Citrix XenApp 6.5 Worker install and configure
REM  http://support.citrix.com/proddocs/topic/xenapp65-install/ps-install-command-line.html
REM -----------------------------------------------------

REM Set variables
SET SOURCE=%~dp0
SET SOURCE=%SOURCE:~0,-1%
IF NOT DEFINED LOGDIR SET LOGDIR=%SystemRoot%\TEMP

SET FarmName=XenApp65Test
SET CitrixAdministratorAccount="DOMAIN\administrator"
SET DsnFile="%SOURCE%\XenApp65.dsn"
SET OdbcUserName=DOMAIN\xenappservice
SET OdbcPassword=Passw0rd
SET LicenseServerName=licenseserver.domain.local
SET LicenseServerPort=27000
SET LicenseModel=XA
SET ZoneName="Default Zone"
SET OnlinePluginServerUrl="http://storefront.domain.local/Citrix/DemoLabStore/PNAgent/config.xml"
SET PcmFarmName=XenApp65Test
SET PcmWorkloadName=Demo


REM  Install XenApp 6.5
REM --------------------------------------------------------------
REM	SET OPTIONS=/install:XenApp,XenAppEnhancedDesktopExperience,PCMAgentFeature,EdgeSightAgentFeature,SmartAuditorAgentFeature,SSONAgentFeature
SET OPTIONS=/install:XenApp,XenAppEnhancedDesktopExperience,PCMAgentFeature,SmartAuditorAgentFeature,SSONAgentFeature
SET OPTIONS=%OPTIONS% /exclude:XA_IISIntegration,XA_Console
SET OPTIONS=%OPTIONS% /Platinum
SET OPTIONS=%OPTIONS% /Logfile:%LOGDIR%\CitrixXenApp65WorkerSetup.log
PUSHD "%SOURCE%\XenApp Server Setup\bin"
START /WAIT XenAppSetupConsole.exe %OPTIONS%
REG DELETE HKCU\Software\Microsoft\Windows\CurrentVersion\Run /v "XenApp Server Role Manager" /f


REM  Join Farm
REM --------------------------------------------------------------
:JOIN
SET OPTIONS=/NotStrict
SET OPTIONS=%OPTIONS% /Log:%LOGDIR%\CitrixXenApp65WorkerJoin.log
SET OPTIONS=%OPTIONS% /ExecutionMode:Join
SET OPTIONS=%OPTIONS% /FarmName:%FarmName%
SET OPTIONS=%OPTIONS% /CitrixAdministratorAccount:%CitrixAdministratorAccount%
SET OPTIONS=%OPTIONS% /DsnFile:%DsnFile%
SET OPTIONS=%OPTIONS% /AuthenticationType:Windows
SET OPTIONS=%OPTIONS% /OdbcUserName:%OdbcUserName%
SET OPTIONS=%OPTIONS% /OdbcPassword:%OdbcPassword%
SET OPTIONS=%OPTIONS% /ImaWorkerMode:True
SET OPTIONS=%OPTIONS% /LicenseServerName:%LicenseServerName%
SET OPTIONS=%OPTIONS% /LicenseServerPort:%LicenseServerPort%
SET OPTIONS=%OPTIONS% /LicenseModel:%LicenseModel%
SET OPTIONS=%OPTIONS% /ZoneName:%ZoneName%
SET OPTIONS=%OPTIONS% /CustomXmlServicePort:80
SET OPTIONS=%OPTIONS% /AddAnonymousUsersToRemoteDesktopUserGroup:False
SET OPTIONS=%OPTIONS% /AddUsersGroupToRemoteDesktopUserGroup:True
SET OPTIONS=%OPTIONS% /OnlinePluginServerUrl:%OnlinePluginServerUrl%
SET OPTIONS=%OPTIONS% /PcmFarmName:%PcmFarmName%
SET OPTIONS=%OPTIONS% /PcmWorkloadName:%PcmWorkloadName%
SET OPTIONS=%OPTIONS% /CreateAnonymousUserAccounts:False
PUSHD "%ProgramFiles(x86)%\Citrix\XenApp\ServerConfig"
START /WAIT XenAppConfigConsole.exe %OPTIONS%

